PHP woes V7.0 ? v7.1 ? v5.6 ?

PHP Woes...
I had to entirely remove and re-install php today in a flurry of messiness.

Don't forget to run this afterwards to enable it in Apache2:
sudo apt-get install libapache2-mod-php